漏洞信息详情

fribidi 缓冲区错误漏洞

漏洞简介

fribidi是一款Unicode双向算法的开源实现。

fribidi 1.0.0版本至1.0.7版本中的lib/fribidi-bidi.c文件的‘fribidi_get_par_embedding_levels_ex()’函数存在缓冲区错误漏洞。该漏洞源于网络系统或产品在内存上执行操作时,未正确验证数据边界,导致向关联的其他内存位置上执行了错误的读写操作。攻击者可利用该漏洞导致缓冲区溢出或堆溢出等。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,详情请关注厂商主页:

http://fribidi.org/

参考网址

来源:usn.ubuntu.com

链接:https://usn.ubuntu.com/4179-1/

来源:www.debian.org

链接:https://www.debian.org/security/2019/dsa-4561

来源:packetstormsecurity.com

链接:https://packetstormsecurity.com/files/155210/Debian-Security-Advisory-4561-1.html

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.4215/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.4227/

来源:www.auscert.org.au

链接:https://www.auscert.org.au/bulletins/ESB-2019.4219/

来源:vigilance.fr

链接:https://vigilance.fr/vulnerability/FriBidi-buffer-overflow-via-Unicode-Isolate-Directional-Characters-30809

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多